Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/JSONLIST-YARN-INGEST.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/JSONLIST-YARN-INGEST.sh	(revision 32108)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/JSONLIST-YARN-INGEST.sh	(revision 32109)
@@ -1,3 +1,4 @@
 #!/bin/bash
 
-nohup ./scripts/JSONLIST-RUN-YARN-SPARK.sh TMP-faceted-htrc-fictsample-ef20 &
+nohup ./scripts/JSONLIST-RUN-YARN-SPARK.sh \
+      pair-tree-annika-1k-fiction-vol-ids.txt TMP-faceted-htrc-fictsample-ef20 &
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/scripts/JSONLIST-RUN-YARN-SPARK.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/scripts/JSONLIST-RUN-YARN-SPARK.sh	(revision 32109)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/scripts/JSONLIST-RUN-YARN-SPARK.sh	(revision 32109)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+json_filelist=${1:-json-filelist.txt}
+shift
+
+#seq_file=${1:-hdfs:///user/dbbridge/json-files}
+
+if [ $# = 1 ] ; then
+  input_dir="hdfs:///user/dbbridge/json-files"
+else 
+  input_dir=$1
+  shift
+fi
+
+##input_dir="hdfs://$SPARK_MASTER_HOST:9000/user/dbbridge/packed-full-ef-part-00000"
+###input_dir="hdfs://$SPARK_MASTER_HOST:9000/user/dbbridge/unpacked-ef-10000"
+#
+###input_dir="hdfs://$SPARK_MASTER_HOST:9000/user/dbbridge/full-ef-json-files"
+###input_dir="hdfs://$SPARK_MASTER_HOST:9000/tmp/dbbridge/full-ef-json-files"
+###input_dir="hdfs://master:9000/user/htrc/full-ef-json-files"
+###input_dir="hdfs://10.10.0.52:9000/user/htrc/full-ef-json-files"
+
+###output_dir=hdfs://master:9000/user/htrc/full-solr-json-files
+###solr_url="http://gc0:8983/solr/htrc-full-ef/update"
+###solr_url="http://solr1-s:8983/solr/htrc-full-ef/update"
+
+solr_base_url="http://solr1-s:8983/solr"
+
+
+# 
+
+#master_opt="--driver-memory 50g --executor-memory 12g --conf spark.executor.extraJavaOptions=-XX:+HeapDumpOnOutOfMemoryError --master spark://$SPARK_MASTER_HOST:7077"
+#master_opt="--driver-memory 50g --executor-memory 90g --master spark://$SPARK_MASTER_HOST:7077"
+
+master_opt="--num-executors 33 --executor-cores 4 --driver-memory 20g --executor-memory 8g --master yarn --deploy-mode cluster"
+
+classmain="org.hathitrust.extractedfeatures.ProcessForSolrIngestJSONFilelist"
+
+. scripts/_RUN.sh
+
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/scripts/_RUN.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/scripts/_RUN.sh	(revision 32108)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/scripts/_RUN.sh	(revision 32109)
@@ -27,5 +27,5 @@
 
     if [ "x$input_dir" != "x" ] ; then
-	if [ $show_usage = "json" ] ; then
+	if [ $class_mode = "json" ] ; then
 	    show_usage=0
 	fi
@@ -130,6 +130,6 @@
     #cmd="$cmd --properties /homea/dbbridge/extracted-features-solr/solr-ingest/ef-solr.properties $seq_file $*"
 else
-    cmd="$cmd --properties ef-solr.properties $json_filelist $input_dir $*"
-    #cmd="$cmd --properties /homea/dbbridge/extracted-features-solr/solr-ingest/ef-solr.properties $json_filelist $input_dir $*"
+    cmd="$cmd --properties ef-solr.properties $input_dir $json_filelist $*"
+    #cmd="$cmd --properties /homea/dbbridge/extracted-features-solr/solr-ingest/ef-solr.properties $input_dir $json_filelist $*"
 
 fi
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/src/main/java/org/hathitrust/extractedfeatures/PerVolumeUtil.java
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/src/main/java/org/hathitrust/extractedfeatures/PerVolumeUtil.java	(revision 32108)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/solr-ingest/src/main/java/org/hathitrust/extractedfeatures/PerVolumeUtil.java	(revision 32109)
@@ -2,8 +2,9 @@
 
 import java.io.IOException;
+import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.Iterator;
-
+    
 import org.apache.hadoop.io.Text;
 import org.apache.spark.api.java.function.FlatMapFunction;
@@ -14,18 +15,7 @@
 import org.json.JSONObject;
 
-/*
-class PagedJSON implements Function<String, Boolean> {
-
+public class PerVolumeUtil implements Serializable
+{
 	private static final long serialVersionUID = 1L;
-
-	public Boolean call(String s) { return s.contains("a"); }
-}
- */
-
-
-//public class PerVolumeJSON implements VoidFunction<String> 
-public class PerVolumeUtil
-{
-	//private static final long serialVersionUID = 1L;
 	protected String _input_dir;
 	protected String _whitelist_filename;