Index: /main/trunk/gli/GLIappWebStart.jnlp
===================================================================
--- /main/trunk/gli/GLIappWebStart.jnlp	(revision 32140)
+++ /main/trunk/gli/GLIappWebStart.jnlp	(revision 32140)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!--
+/*
+ *    Java Web Start support for Greenstone Librarian Interface (GLI) applet.
+ *    Copyright (C) 2002 New Zealand Digital Library, http://www.nzdl.org
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
+-->
+
+<!-- JNLP File for GLI applet -->
+<jnlp
+  spec="1.0+"
+  codebase="http://localhost:8383/greenstone3/applet"
+  href="GLIapplet.jnlp">
+  <information>
+    <title>Greenstone Librarian Interface</title>
+    <vendor>New Zealand Digital Library</vendor>
+    <homepage href="http://www.nzdl.org/"/>
+    <description>GLI</description>
+    <description kind="short">Greenstone Librarian Interface (GLI) applet via JNLP support</description>
+    <offline-allowed/>
+  </information>
+  <resources>
+    <j2se version="1.7+"/>
+    <jar href="SignedGatherer.jar"/>
+  </resources>
+  <application-desc main-class="org.greenstone.gatherer.WebGatherer">
+	<argument>-gwcgi=/greenstone3</argument>
+    <argument>-gsdl3=true</argument>
+  </application-desc>
+  <!--
+  <applet-desc main-class="org.greenstone.gatherer.GathererApplet" name="GLIapplet" height="50" width="380">
+	<param name="gwcgi" value="/greenstone3" />
+    <param name="gsdl3" value="true" />
+  </applet>
+  -->
+  <!-- https://stackoverflow.com/questions/12600076/getting-user-home-folder-from-jws-signed-jar -->
+  <security>
+    <all-permissions/>
+  </security>
+</jnlp>
Index: in/trunk/gli/GLIapplet.jnlp
===================================================================
--- /main/trunk/gli/GLIapplet.jnlp	(revision 32139)
+++ 	(revision )
@@ -1,54 +1,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!--
-/*
- *    Java Web Start support for Greenstone Librarian Interface (GLI) applet.
- *    Copyright (C) 2002 New Zealand Digital Library, http://www.nzdl.org
- *
- *    This program is free software; you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation; either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    This program is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with this program; if not, write to the Free Software
- *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- */
--->
-
-<!-- JNLP File for GLI applet -->
-<jnlp
-  spec="1.0+"
-  codebase="http://localhost:8383/greenstone3/applet"
-  href="GLIapplet.jnlp">
-  <information>
-    <title>Greenstone Librarian Interface</title>
-    <vendor>New Zealand Digital Library</vendor>
-    <homepage href="http://www.nzdl.org/"/>
-    <description>GLI</description>
-    <description kind="short">Greenstone Librarian Interface (GLI) applet via JNLP support</description>
-    <offline-allowed/>
-  </information>
-  <resources>
-    <j2se version="1.7+"/>
-    <jar href="SignedGatherer.jar"/>
-  </resources>
-  <application-desc main-class="org.greenstone.gatherer.WebGatherer">
-	<argument>-gwcgi=/greenstone3</argument>
-    <argument>-gsdl3=true</argument>
-  </application-desc>
-  <!--
-  <applet-desc main-class="org.greenstone.gatherer.GathererApplet" name="GLIapplet" height="50" width="380">
-	<param name="gwcgi" value="/greenstone3" />
-    <param name="gsdl3" value="true" />
-  </applet>
-  -->
-  <!-- https://stackoverflow.com/questions/12600076/getting-user-home-folder-from-jws-signed-jar -->
-  <security>
-    <all-permissions/>
-  </security>
-</jnlp>