Index: main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A08-15_No_15.dir/doc.xml
===================================================================
--- main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A08-15_No_15.dir/doc.xml	(revision 31895)
+++ main/trunk/model-sites-dev/pei-jones/collect/written-works/archives/3A08-15_No_15.dir/doc.xml	(revision 32143)
@@ -24,31 +24,39 @@
     <Metadata name="lastmodified">1502324688</Metadata>
     <Metadata name="lastmodifieddate">20170810</Metadata>
-    <Metadata name="oailastmodified">1502333524</Metadata>
-    <Metadata name="oailastmodifieddate">20170810</Metadata>
+    <Metadata name="oailastmodified">1504488131</Metadata>
+    <Metadata name="oailastmodifieddate">20170904</Metadata>
     <Metadata name="assocfilepath">3A08-15_No_15.dir</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-000.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-000_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-000_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-001.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-001_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-001_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-002.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-002_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-002_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-003.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-003_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-003_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-004.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-004_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-004_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-005.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-005_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-005_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-006.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-006_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-006_screen.jpeg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-007.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-007_thumb.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">3A08-15_No_15-007_screen.jpeg:image/jpeg:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-000.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-000.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-000_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-000_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-001.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-001.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-001_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-001_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-002.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-002.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-002_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-002_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-003.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-003.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-003_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-003_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-004.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-004.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-004_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-004_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-005.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-005.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-005_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-005_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-006.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-006.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-006_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-006_screen.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-007.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-007.tif:image/tiff:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-007_thumb.png:image/png:</Metadata>
+    <Metadata name="gsdlassocfile">3A08-15_No_15-007_screen.png:image/png:</Metadata>
   </Description>
   <Content></Content>
@@ -56,22 +64,22 @@
   <Description>
     <Metadata name="Title">1</Metadata>
-    <Metadata name="Image">3A08-15_No_15-000.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-000.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-000.jpg</Metadata>
-    <Metadata name="FileSize">7592240</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-000.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-000.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-000.tif</Metadata>
+    <Metadata name="FileSize">1340106</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">9624</Metadata>
     <Metadata name="ImageHeight">2704</Metadata>
-    <Metadata name="ImageSize">7.592MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-000.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-000.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-000_thumb.gif</Metadata>
+    <Metadata name="ImageSize">1.34MB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-000.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-000.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-000_thumb.png</Metadata>
     <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">100</Metadata>
     <Metadata name="ThumbHeight">28</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-000_screen.jpeg</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-000_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>
@@ -85,22 +93,22 @@
   <Description>
     <Metadata name="Title">2</Metadata>
-    <Metadata name="Image">3A08-15_No_15-001.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-001.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-001.jpg</Metadata>
-    <Metadata name="FileSize">1181662</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-001.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-001.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-001.tif</Metadata>
+    <Metadata name="FileSize">204360</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">1651</Metadata>
     <Metadata name="ImageHeight">2630</Metadata>
-    <Metadata name="ImageSize">1.182MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-001.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-001.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-001_thumb.gif</Metadata>
+    <Metadata name="ImageSize">204KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-001.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-001.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-001_thumb.png</Metadata>
     <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
     <Metadata name="ThumbWidth">63</Metadata>
     <Metadata name="ThumbHeight">100</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-001_screen.jpeg</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-001_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">314</Metadata>
@@ -114,22 +122,22 @@
   <Description>
     <Metadata name="Title">3</Metadata>
-    <Metadata name="Image">3A08-15_No_15-002.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-002.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-002.jpg</Metadata>
-    <Metadata name="FileSize">2192407</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-002.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-002.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-002.tif</Metadata>
+    <Metadata name="FileSize">419029</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">3200</Metadata>
     <Metadata name="ImageHeight">2587</Metadata>
-    <Metadata name="ImageSize">2.192MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-002.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-002.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-002_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbWidth">100</Metadata>
-    <Metadata name="ThumbHeight">81</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-002_screen.jpeg</Metadata>
+    <Metadata name="ImageSize">419KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-002.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-002.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-002_thumb.png</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbWidth">100</Metadata>
+    <Metadata name="ThumbHeight">81</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-002_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>
@@ -143,22 +151,22 @@
   <Description>
     <Metadata name="Title">4</Metadata>
-    <Metadata name="Image">3A08-15_No_15-003.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-003.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-003.jpg</Metadata>
-    <Metadata name="FileSize">2912525</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-003.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-003.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-003.tif</Metadata>
+    <Metadata name="FileSize">539161</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">3216</Metadata>
     <Metadata name="ImageHeight">2612</Metadata>
-    <Metadata name="ImageSize">2.913MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-003.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-003.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-003_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbWidth">100</Metadata>
-    <Metadata name="ThumbHeight">81</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-003_screen.jpeg</Metadata>
+    <Metadata name="ImageSize">539KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-003.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-003.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-003_thumb.png</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbWidth">100</Metadata>
+    <Metadata name="ThumbHeight">81</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-003_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>
@@ -172,22 +180,22 @@
   <Description>
     <Metadata name="Title">5</Metadata>
-    <Metadata name="Image">3A08-15_No_15-004.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-004.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-004.jpg</Metadata>
-    <Metadata name="FileSize">2386493</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-004.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-004.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-004.tif</Metadata>
+    <Metadata name="FileSize">437754</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">3200</Metadata>
     <Metadata name="ImageHeight">2591</Metadata>
-    <Metadata name="ImageSize">2.386MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-004.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-004.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-004_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbWidth">100</Metadata>
-    <Metadata name="ThumbHeight">81</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-004_screen.jpeg</Metadata>
+    <Metadata name="ImageSize">438KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-004.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-004.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-004_thumb.png</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbWidth">100</Metadata>
+    <Metadata name="ThumbHeight">81</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-004_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>
@@ -201,22 +209,22 @@
   <Description>
     <Metadata name="Title">6</Metadata>
-    <Metadata name="Image">3A08-15_No_15-005.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-005.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-005.jpg</Metadata>
-    <Metadata name="FileSize">1757496</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-005.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-005.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-005.tif</Metadata>
+    <Metadata name="FileSize">330335</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">3200</Metadata>
     <Metadata name="ImageHeight">2592</Metadata>
-    <Metadata name="ImageSize">1.757MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-005.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-005.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-005_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbWidth">100</Metadata>
-    <Metadata name="ThumbHeight">81</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-005_screen.jpeg</Metadata>
+    <Metadata name="ImageSize">330KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-005.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-005.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-005_thumb.png</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbWidth">100</Metadata>
+    <Metadata name="ThumbHeight">81</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-005_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>
@@ -230,22 +238,22 @@
   <Description>
     <Metadata name="Title">7</Metadata>
-    <Metadata name="Image">3A08-15_No_15-006.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-006.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-006.jpg</Metadata>
-    <Metadata name="FileSize">2087676</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-006.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-006.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-006.tif</Metadata>
+    <Metadata name="FileSize">388801</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">3200</Metadata>
     <Metadata name="ImageHeight">2593</Metadata>
-    <Metadata name="ImageSize">2.088MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-006.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-006.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-006_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbWidth">100</Metadata>
-    <Metadata name="ThumbHeight">81</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-006_screen.jpeg</Metadata>
+    <Metadata name="ImageSize">389KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-006.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-006.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-006_thumb.png</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbWidth">100</Metadata>
+    <Metadata name="ThumbHeight">81</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-006_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>
@@ -259,22 +267,22 @@
   <Description>
     <Metadata name="Title">8</Metadata>
-    <Metadata name="Image">3A08-15_No_15-007.jpg</Metadata>
-    <Metadata name="Source">3A08-15_No_15-007.jpg</Metadata>
-    <Metadata name="SourceFile">3A08-15_No_15-007.jpg</Metadata>
-    <Metadata name="FileSize">2073075</Metadata>
-    <Metadata name="ImageType">JPEG</Metadata>
+    <Metadata name="Image">3A08-15_No_15-007.png</Metadata>
+    <Metadata name="Source">3A08-15_No_15-007.tif</Metadata>
+    <Metadata name="SourceFile">3A08-15_No_15-007.tif</Metadata>
+    <Metadata name="FileSize">389635</Metadata>
+    <Metadata name="ImageType">PNG</Metadata>
     <Metadata name="ImageWidth">3200</Metadata>
     <Metadata name="ImageHeight">2588</Metadata>
-    <Metadata name="ImageSize">2.073MB</Metadata>
-    <Metadata name="srclink_file">3A08-15_No_15-007.jpg</Metadata>
-    <Metadata name="srclinkFile">3A08-15_No_15-007.jpg</Metadata>
-    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbType">gif</Metadata>
-    <Metadata name="Thumb">3A08-15_No_15-007_thumb.gif</Metadata>
-    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
-    <Metadata name="ThumbWidth">100</Metadata>
-    <Metadata name="ThumbHeight">81</Metadata>
-    <Metadata name="ScreenType">jpeg</Metadata>
-    <Metadata name="Screen">3A08-15_No_15-007_screen.jpeg</Metadata>
+    <Metadata name="ImageSize">390KB</Metadata>
+    <Metadata name="srclink_file">3A08-15_No_15-007.png</Metadata>
+    <Metadata name="srclinkFile">3A08-15_No_15-007.png</Metadata>
+    <Metadata name="srcicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[srclinkFile]&quot; width=&quot;[ImageWidth]&quot; height=&quot;[ImageHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbType">png</Metadata>
+    <Metadata name="Thumb">3A08-15_No_15-007_thumb.png</Metadata>
+    <Metadata name="thumbicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Thumb]&quot; alt=&quot;[Thumb]&quot; width=&quot;[ThumbWidth]&quot; height=&quot;[ThumbHeight]&quot;&gt;</Metadata>
+    <Metadata name="ThumbWidth">100</Metadata>
+    <Metadata name="ThumbHeight">81</Metadata>
+    <Metadata name="ScreenType">png</Metadata>
+    <Metadata name="Screen">3A08-15_No_15-007_screen.png</Metadata>
     <Metadata name="screenicon">&lt;img src=&quot;_httpprefix_/collect/[collection]/index/assoc/[parent(Top):assocfilepath]/[Screen]&quot; width=[ScreenWidth] height=[ScreenHeight]&gt;</Metadata>
     <Metadata name="ScreenWidth">500</Metadata>