Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D0.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Bear</Metadata>
     <Metadata name="Identifier">D0</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822862</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033085</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D0.dir</Metadata>
     <Metadata name="gsdlassocfile">Bear.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D1.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Cat</Metadata>
     <Metadata name="Identifier">D1</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822862</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033086</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D1.dir</Metadata>
     <Metadata name="gsdlassocfile">Cat.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D2.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Cheetah</Metadata>
     <Metadata name="Identifier">D2</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822862</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033086</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D2.dir</Metadata>
     <Metadata name="gsdlassocfile">Cheetah.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D3.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Fish</Metadata>
     <Metadata name="Identifier">D3</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822863</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033086</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D3.dir</Metadata>
     <Metadata name="gsdlassocfile">Fish.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D4.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Gopher</Metadata>
     <Metadata name="Identifier">D4</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822863</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033086</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D4.dir</Metadata>
     <Metadata name="gsdlassocfile">Gopher.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D5.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Lemur</Metadata>
     <Metadata name="Identifier">D5</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822863</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033087</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D5.dir</Metadata>
     <Metadata name="gsdlassocfile">Lemur.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D6.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Rhino</Metadata>
     <Metadata name="Identifier">D6</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822864</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033087</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D6.dir</Metadata>
     <Metadata name="gsdlassocfile">Rhino.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D7.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Shark</Metadata>
     <Metadata name="Identifier">D7</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822864</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033087</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D7.dir</Metadata>
     <Metadata name="gsdlassocfile">Shark.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/D8.dir/doc.xml	(revision 32161)
@@ -35,8 +35,8 @@
     <Metadata name="Title">Tiger</Metadata>
     <Metadata name="Identifier">D8</Metadata>
-    <Metadata name="lastmodified">1494822481</Metadata>
-    <Metadata name="lastmodifieddate">20170515</Metadata>
-    <Metadata name="oailastmodified">1494822864</Metadata>
-    <Metadata name="oailastmodifieddate">20170515</Metadata>
+    <Metadata name="lastmodified">1522032933</Metadata>
+    <Metadata name="lastmodifieddate">20180326</Metadata>
+    <Metadata name="oailastmodified">1522033088</Metadata>
+    <Metadata name="oailastmodifieddate">20180326</Metadata>
     <Metadata name="assocfilepath">D8.dir</Metadata>
     <Metadata name="gsdlassocfile">Tiger.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg	(revision 31681)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/index/build.cfg	(revision 32161)
@@ -1,5 +1,5 @@
-builddate	1494822865
+builddate	1522033088
 buildtype	mgpp
-earliestdatestamp	1494822861
+earliestdatestamp	1522033085
 indexfieldmap	dc.Description->DE
 indexfields	dc.Description